Employee Name Search V3
Introduction
This API helps you confirm if someone works at a specific company using data from EPFO PF Filings.
With this API, you can check if a person's name appears in the EPFO PF Filings records for the last 3 months or a time period you choose. The API generates a detailed report that includes information like the list of establishments connected to the company, whether the employee's name is unique (if it's the only one or if there are multiple matches), and the top matches for the employee's name.
Keep in mind that a company might have more than one branch, and each branch may contribute to PF deposits in their respective PF office. This API covers these situations, providing a simple way to verify employment across different branches within a company.
Sample Curl
curl --location 'https://api.signzy.app/api/v3/epfo/employee-name-search' \
--header 'Authorization: <access-token>' \
--header 'Content-Type: application/json' \
--data '{
"establishmentId": "PUPUN*******000",
"establishmentName": "Signzy Technologies Private Limited",
"employeeName": "John Doe",
"employmentMonth": "04/2024"
}'To use the "Employee Name Search V3" API, you need to send a HTTP POST request to the API endpoint with the following details:
Request Headers
The following headers must be included in the request:
Header | Value |
|---|---|
Content-Type | application/json |
Authorization | Your API token that you get from login API |
Request Body
The request body must be a JSON object with the following keys:
key | Value Type | Required | Description |
|---|---|---|---|
establishmentId | string | Yes | establishmentId of the organisation |
establishmentName | string | Yes | establishmentName or Organisation Name |
employeeName | string | Yes | Name of the employee to search for |
employmentMonth | string | Yes | Month value to check for, e.g. 'mm/yyyy' |
Response
The "Employee Name Search V3" API returns a JSON object containing detailed information related to the Employee.
Response Format
The response will be a JSON object with the following keys:
Key | Value Type | Description |
|---|---|---|
result | Object | Object containing the detailed information related to the requested Employee. |
The result object contains the following keys:
Key | Value Type | Description |
|---|---|---|
match | Boolean | Giving True or False indicating if a match is found of the Employee in that company |
searchResult | Object | Unique identifier for the response. Object containing detailed information regarding the company and |
searchResult Object
The searchResult object contains the following keys:
Key | Value Type | Description |
|---|---|---|
establishmentName | String | Name of the Company |
establishmentID | String | Company registered under the Ministry of Labour and Employment have a 15-digit alpha-numeric code. |
address | String | Address of the Company |
officeName | String | The location of the Company |
paymentDetails | Object | An object conatining an array which conatins details of matched employees, TRRN, etc. |
paymentDetails Object
The paymentDetails is an array of objects, each array element consists of following keys :
Key | Value Type | Description |
|---|---|---|
trrn | String | TRRN denotes a Temporary Return Reference Number. This TRRN is an ID number obtained by the EPFO for a payment transaction. |
dateOfCredit | String | The date on which it was credited. |
amount | String | Denotes the amount that is deposited by the company in that transaction. |
wageMonth | String | The month for which it was deposited. |
ecr | String | ECR stands for Electronic Challan cum Return. It is an electronic monthly return to be filled and uploaded by employers on the online employer portal. Denotes if it done or not. |
employeeMatch | Object | An object which contain the list of the matches employees with the employeeName field passed in request body. |